> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Financials

## Request

#### Header

<ParamField header="Accept-Language" type="string" default="EN">
  * NL: Dutch - FR: French - EN: English
</ParamField>

#### Body

<ParamField path="companies" type="array">
  <Expandable title="company properties">
    <ResponseField name="companyNumber" type="string" required>
      * Belgium: Enterprise (KBO) number. This is equal to the VAT without 'BE'.
      * The Netherlands: KVK number.
      * France: SIREN number.
    </ResponseField>

    <ResponseField name="countryCode" type="string" required>
      countryCode can be either `BE`, `NL` or `FR`
    </ResponseField>
  </Expandable>

  <Note>
    You can request up to 100 companies at once.
  </Note>
</ParamField>

<ParamField path="limit" type="number" default="4">
  Number of items to return per page. (max 500)
</ParamField>

<ParamField path="offset" type="number" default="0">
  Number of items to skip.
</ParamField>

<ResponseExample>
  ```json Response - 200 theme={null}
  [
    {
      "identifier": {
        "country": "BE",
        "companyNumber": "770493071",
        "name": "Bizzy Fintech",
        "place": "Gent"
      },
      "data": [
        {
          "startDate": "2023-01-01",
          "endDate": "2023-12-31",
          "dateReceived": "2024-07-31",
          "healthIndicator": 5,
          "jointCommitteeCodes": [
            "200"
          ],
          "profitability": {
            "revenue": null,
            "grossMargin": -157493.98,
            "ebitda": -721635.55,
            "ebit": -909762.24,
            "netProfit": -924861.06
          },
          "liquidity": {
            "cash": 486301.02,
            "cashFlow": -736314.45,
            "netWorkingCapital": 13795.96,
            "netWorkingCapitalRequirement": -454370.47,
            "currentRatio": 1.0196,
            "quickRatio": 1.6408
          },
          "solvency": {
            "totalAssets": 1198129.04,
            "equity": 115032.76,
            "capital": null,
            "retainedEarnings": -1208423.24,
            "debt": 1083096.28,
            "longTermDebt": 379351.41,
            "longTermDebtFinancial": 379351.41,
            "longTermDebtAccountsPayable": 0,
            "shortTermDebt": 404044.38,
            "shortTermDebtFinancial": 18134.59,
            "shortTermDebtAccountsPayable": 158076.92
          },
          "people": {
            "employees": 12,
            "newHires": 6,
            "employeeMaleRatio": 0.9167,
            "employeeFemaleRatio": 0.0833
          }
        },
        {
          "startDate": "2021-06-29",
          "endDate": "2022-12-31",
          "dateReceived": "2023-07-31",
          "healthIndicator": 7,
          "jointCommitteeCodes": [
            "200"
          ],
          "profitability": {
            "revenue": null,
            "grossMargin": 165086.63,
            "ebitda": -186249.28,
            "ebit": -280667.61,
            "netProfit": -283562.18
          },
          "liquidity": {
            "cash": 737378.68,
            "cashFlow": -188584.41,
            "netWorkingCapital": 597619.72,
            "netWorkingCapitalRequirement": -133652.28,
            "currentRatio": 4.4686,
            "quickRatio": 4.4961
          },
          "solvency": {
            "totalAssets": 1098395.25,
            "equity": 878893.82,
            "capital": null,
            "retainedEarnings": -283562.18,
            "debt": 219501.43,
            "longTermDebt": 47209.12,
            "longTermDebtFinancial": 47209.12,
            "longTermDebtAccountsPayable": 0,
            "shortTermDebt": 168577.31,
            "shortTermDebtFinancial": 6106.68,
            "shortTermDebtAccountsPayable": 44652.51
          },
          "people": {
            "employees": 6,
            "newHires": 15,
            "employeeMaleRatio": 0.8333,
            "employeeFemaleRatio": 0.1667
          }
        }
      ],
      "pagination": {
        "limit": 4,
        "offset": 0,
        "total": 2
      },
      "message": null
    }
    {
      "identifier": { // Example error
        "country": "BE",
        "companyNumber": "123",
      },
      "data": null,
      "pagination": null,
      "message": "Company not found"
    }
  ]
  ```
</ResponseExample>
